tw.com.prolific.pl2303ghidsdk

## Enum I2cSetting.TransferType

- java.lang.Object
- - java.lang.Enum<I2cSetting.TransferType>
  - - tw.com.prolific.pl2303ghidsdk.I2cSetting.TransferType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<I2cSetting.TransferType>
  Enclosing class:
    I2cSetting

      public static enum I2cSetting.TransferType
      extends java.lang.Enum<I2cSetting.TransferType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `I2C_NO_START_NO_STOP`
    `I2C_NO_START_STOP`
    `I2C_START_NO_STOP`
    `I2C_START_STOP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static I2cSetting.TransferType` | `valueOf(int nValue)`
    `static I2cSetting.TransferType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static I2cSetting.TransferType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### I2C_NO_START_NO_STOP

          public static final I2cSetting.TransferType I2C_NO_START_NO_STOP

    - #### I2C_START_NO_STOP

          public static final I2cSetting.TransferType I2C_START_NO_STOP

    - #### I2C_NO_START_STOP

          public static final I2cSetting.TransferType I2C_NO_START_STOP

    - #### I2C_START_STOP

          public static final I2cSetting.TransferType I2C_START_STOP

  - ### Method Detail

    - #### values

          public static I2cSetting.TransferType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (I2cSetting.TransferType c : I2cSetting.TransferType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static I2cSetting.TransferType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static I2cSetting.TransferType valueOf(int nValue)

    - #### getValue

          public int getValue()